Name:		poedit
Version:	2.0.1
Release:	%mkrel 1
Summary:	Gettext translation file editor
License:	MIT
Group:		Editors
URL:		http://www.poedit.net
Source0:	https://github.com/vslavik/poedit/releases/download/v%{version}-oss/%{name}-%{version}.tar.gz

# std::exception_ptr does not exist on ARMv5
ExcludeArch:	armv5tl

BuildRequires:	wxgtku3.0-devel
BuildRequires:	db4-devel
BuildRequires:	zip
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(liblucene++)
BuildRequires:	pkgconfig(gtkspell-2.0)

Requires:	gettext

%description
Poedit is cross-platform gettext catalogs (.po files) editor. It is built with
wxWindows toolkit and can run on Unix or Windows. It aims to provide convenient
way of editing gettext catalogs. It features UTF-8 support, fuzzy and
untranslated records highlighting, whitespaces highlighting, references
browser, headers editing and can be used to create new catalogs or update
existing catalogs from source code by single click.

%prep
%setup -q

%build
%configure2_5x

%make_build

%install
%make_install

# remove files not bundled
rm -f %{buildroot}%{_iconsdir}/poedit.xpm

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README AUTHORS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Apr 26 2017 akien <akien> 2.0.1-1.mga6
+ Revision: 1097566
- Version 2.0.1 (mga#20737)

* Mon Mar 20 2017 akien <akien> 1.8.12-2.mga6
+ Revision: 1093679
- Rebuild for icu 58.2

* Mon Feb 20 2017 daviddavid <daviddavid> 1.8.12-1.mga6
+ Revision: 1087008
- new version: 1.8.12

* Fri Oct 21 2016 daviddavid <daviddavid> 1.8.11-1.mga6
+ Revision: 1062896
- new version: 1.8.11

* Sun Sep 11 2016 daviddavid <daviddavid> 1.8.9-1.mga6
+ Revision: 1051472
- new version: 1.8.9

* Sun Jun 05 2016 daviddavid <daviddavid> 1.8.8-1.mga6
+ Revision: 1020289
- new version: 1.8.8

* Thu Jun 02 2016 daviddavid <daviddavid> 1.8.7.1-3.mga6
+ Revision: 1019821
- rebuild for wxgtk3.0 built with GTK2
- revert BR to gtkspell-2.0

* Sat May 14 2016 daviddavid <daviddavid> 1.8.7.1-2.mga6
+ Revision: 1015547
- rebuild for new icu

* Sat Feb 27 2016 daviddavid <daviddavid> 1.8.7.1-1.mga6
+ Revision: 980194
- new version: 1.8.7.1

* Fri Feb 05 2016 daviddavid <daviddavid> 1.8.7-1.mga6
+ Revision: 936955
- new version: 1.8.7

* Thu Jan 14 2016 pterjan <pterjan> 1.8.6-4.mga6
+ Revision: 922913
- Disable on ARMv5

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.8.6-3.mga6
+ Revision: 917915
- rebuild for icu

* Fri Dec 25 2015 daviddavid <daviddavid> 1.8.6-2.mga6
+ Revision: 914621
- rebuild for new boost 1.60.0

* Wed Oct 21 2015 daviddavid <daviddavid> 1.8.6-1.mga6
+ Revision: 893994
- new version: 1.8.6

* Fri Sep 25 2015 daviddavid <daviddavid> 1.8.5-2.mga6
+ Revision: 883448
- rebuild for new boost 1.59.0

* Thu Sep 24 2015 daviddavid <daviddavid> 1.8.5-1.mga6
+ Revision: 882660
- new version: 1.8.5
- introduce license macro

* Fri Aug 28 2015 cjw <cjw> 1.8.4-3.mga6
+ Revision: 870370
- rebuild with gcc 5

* Fri Aug 14 2015 ycantin <ycantin> 1.8.4-2.mga6
+ Revision: 864734
- rebuild for new wxgtk built with wxRE_ADVANCED

* Tue Aug 04 2015 daviddavid <daviddavid> 1.8.4-1.mga6
+ Revision: 861021
- new version: 1.8.4

* Fri Jul 31 2015 daviddavid <daviddavid> 1.8.3-3.mga6
+ Revision: 859483
- rebuild for new boost-1.58.0

* Sat Jul 25 2015 daviddavid <daviddavid> 1.8.3-2.mga6
+ Revision: 857247
- rebuild for icu 55

* Thu Jul 23 2015 daviddavid <daviddavid> 1.8.3-1.mga6
+ Revision: 856275
- new version: 1.8.3
- update file list

* Thu Jul 23 2015 daviddavid <daviddavid> 1.6.9-4.mga6
+ Revision: 856270
- rebuild for new wxgtk built with gtk3

* Wed Oct 15 2014 umeabot <umeabot> 1.6.9-3.mga5
+ Revision: 741745
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.9-2.mga5
+ Revision: 687704
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 akien <akien> 1.6.9-1.mga5
+ Revision: 674354
- Version 1.6.9

* Tue Jul 29 2014 wally <wally> 1.6.7-1.mga5
+ Revision: 657976
- new version 1.6.7
- fix source tag (mga#13819)

* Wed Feb 05 2014 fwang <fwang> 1.5.7-3.mga5
+ Revision: 583501
- use plain virtual provides

* Tue Oct 22 2013 umeabot <umeabot> 1.5.7-2.mga4
+ Revision: 542375
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 wally <wally> 1.5.7-1.mga4
+ Revision: 497448
- BR wxgtku >= 2.9

  + dams <dams>
    - new version 1.5.7

* Wed Jul 10 2013 fwang <fwang> 1.5.5-3.mga4
+ Revision: 452486
- rebuild for new boost

* Mon Jul 08 2013 fwang <fwang> 1.5.5-2.mga4
+ Revision: 451280
- rebuild for new boost

* Mon Jul 01 2013 dams <dams> 1.5.5-1.mga4
+ Revision: 448703
- add a patch to fix build with wx28
- new version 1.5.5

* Sun Jan 13 2013 umeabot <umeabot> 1.5.4-2.mga3
+ Revision: 378017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 malo <malo> 1.5.4-1.mga3
+ Revision: 311512
- update to 1.5.4

* Sat Aug 11 2012 dams <dams> 1.5.2-1.mga3
+ Revision: 280631
- new version 1.5.2

* Tue Jul 31 2012 fwang <fwang> 1.4.6.1-5.mga3
+ Revision: 276352
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 1.4.6.1-4.mga3
+ Revision: 274752
- use standard args
- touch ChangeLog
- recognize db5

* Sat Jul 23 2011 ahmad <ahmad> 1.4.6.1-3.mga2
+ Revision: 128108
- Rebuild against wxgtk2.8 with enabled catch_segvs

* Thu Jul 07 2011 fwang <fwang> 1.4.6.1-2.mga2
+ Revision: 119661
- rebuild for db 4.8

* Mon Apr 11 2011 dams <dams> 1.4.6.1-1.mga1
+ Revision: 83177
- Cleaned

  + kharec <kharec>
    - imported package poedit

